local Cryolysis2 = Cryolysis2
local L = AceLibrary("AceLocale-2.2"):new("Cryolysis2")

------------------------------------------------------------------------------------------------------
-- Update attribute of the Mount button
------------------------------------------------------------------------------------------------------
function Cryolysis2:UpdateMountButton()

	if not Cryolysis2.Private.HasGroundMount and not Cryolysis2.Private.HasFlyingMount then  -- No mount
		Cryo2MountButtonIcon:SetTexture("Interface\\Icons\\INV_Misc_Rune_01")
		Cryo2MountButton:SetAttribute("type*", "item")			
		Cryo2MountButton:SetAttribute("item*", L["Hearthstone"])
	elseif Cryolysis2.Private.HasGroundMount and not Cryolysis2.Private.HasFlyingMount then  -- Ground Mount Only
		Cryo2MountButtonIcon:SetTexture("Interface\\Icons\\"..Cryolysis2.Private.GroundMountTex[Cryolysis2.Private.GroundMountIcon])
		Cryo2MountButton:SetAttribute("type1", "item")
		Cryo2MountButton:SetAttribute("item1", Cryolysis2.Private.GroundMountString)
		Cryo2MountButton:SetAttribute("type2", "item")			
		Cryo2MountButton:SetAttribute("item2", L["Hearthstone"])
		Cryo2MountButton:SetAttribute("type3", "item")			
		Cryo2MountButton:SetAttribute("item3", L["Hearthstone"])
	elseif Cryolysis2.Private.HasGroundMount and Cryolysis2.Private.HasFlyingMount then
		Cryo2MountButtonIcon:SetTexture("Interface\\Icons\\"..Cryolysis2.Private.FlyingMountTex[Cryolysis2.Private.FlyingMountIcon])
		Cryo2MountButton:SetAttribute("type1", "item")
		Cryo2MountButton:SetAttribute("item1", Cryolysis2.Private.FlyingMountString)
		Cryo2MountButton:SetAttribute("type2", "item")			
		Cryo2MountButton:SetAttribute("item2", Cryolysis2.Private.GroundMountString)
		Cryo2MountButton:SetAttribute("type3", "item")			
		Cryo2MountButton:SetAttribute("item3", L["Hearthstone"])
	end

end