﻿

local L = AceLibrary("AceLocale-2.2"):new("Cryolysis2")

L:RegisterTranslations("zhCN", function() return {

-- Menu Options
["Menu"] = "菜单";
["Show Menu"] = "显示菜单";
["Open the configuration menu."] = "打开设置选项";
["General Settings"] = "一般设置";
["Adjust various settings for Cryolysis 2."] = "调整 Cryolysis 2 的各项设置。";
["Lock Sphere and Buttons"] = "锁定球形主体与按钮";
["Lock the main sphere and buttons so they can't be moved."] = "锁定球形主体与按钮，使之无法移动。";
["Constrict Buttons to Sphere"] = "锁定按钮";
["Lock the buttons in place around the main sphere."] = "锁定球形主体周围的按钮位置。";
["Hide Tooltips"] = "隐藏鼠标提示信息";
["Hide the main sphere and button tooltips."] = "隐藏球形主体与按钮的鼠标提示信息。";
["Reagent Restocking"] = "补充施法材料";
["Adjust various settings for the automatic reagent restocking feature."] = "调整自动补充施法材料的各项设置。";
["Restock Reagents"] = "购买施法材料";
["Automatically restock reagents when talking to a reagent vendor."] = "与施法材料商人对话时自动购买施法材料。";
["Confirm Restocking"] = "确认购买施法材料";
["Pop-up a confirmation box before restocking reagents."] = "自动购买施法材料前跳出确认对话框。";
["Adjust the amount of Arcane Powder to restock to."] = "调整 魔粉 的购买数量。";
["Adjust the amount of Runes of Teleportation to restock to."] = "调整 传送符文 的购买数量。";
["Adjust the amount of Runes of Portals to restock to."] = "调整 传送门符文 的购买数量。";
["Timer Settings"] = "计时器设置";
["Adjust various settings for the spell timers."] = "调整法术计时器的各项设置。";
["Timers On/Off"] = "开启/关闭 计时器";
["Turn timers on or off."] = "开启或关闭 法术计时器";
["Lock Timer Frame"] = "锁定计时器";
["Lock the timer frame in place so it can't move."] = "锁定计时器的位置，使之无法移动。";
["Cooldown Timers"] = "冷却计时器";
["Select which spells have their cooldowns shown in the timer window."] = "在计时器上显示法术的冷却时间。";
["Debuff Timers"] = "减益效果计时器";
["Select which spells have their debuffs tracked in the timer window."] = "在计时器上显示减益效果的剩余时间。";
["Message Settings"] = "信息设置";
["Adjust various settings for teleport, portal, and polymorph messages."] = "调整传送、传送门、变形术等信息的各项设置。";
["Chat Channel"] = true;
["Choose which chat channel messages are displayed in."] = true;
["User"] = true;
["Say"] = true;
["Party"] = true;
["Raid"] = true;
["Group"] = true;
["World"] = true;
["Short Messages"] = "简短信息";
["Display shortened versions of polymorph, teleport, portal, and mount messages."] = "显示简短版本的变形术、传送、传送门与坐骑等信息。";
["Polymorph Messages"] = "变形术信息";
["Display a message in chat when casting polymorph."] = "施放变形术时在聊天视窗的显示信息。";
["Polymorph Warning"] = "变形术警告";
["Play a sound when polymorph is about to break."] = "变形术消失时播放音效。";
["Polymorph Warning Time"] = "变形术警告时间";
["Set how long before polymorph breaks to play the sound."] = "设置在变形术消失之前多长时间播放音效。";
["Polymorph Break"] = "变形术消失";
["Play a sound when polymorph breaks."] = "变形术消失时播放的音效。";
["Ritual Message"] = true;
["Display a message in chat when casting Ritual of refreshment."] = true;
["Mount Messages"] = "坐骑信息";
["Display a message in chat when mounting."] = "召唤坐骑时在对窗口的显示信息。";
["Teleport Messages"] = "传送信息";
["Display a message in chat when teleporting."] = "施放传送术时在对话窗口的显示信息。";
["Portal Messages"] = "传送门信息";
["Display a message in chat when opening a portal."] = "施放传送门时在对话窗口的显示信息。";
["Button Settings"] = "按钮设置";
["Adjust various settings for each button."] = "调整每个按钮的各项设置。";
["Main Sphere"] = "球形主体";
["Adjust various settings for the main sphere."] = "调整球形主体的各项设置";
["Show or hide the main sphere."] = "显示/隐藏 球形主体";

["Text"] = "文字";
["Adjust what information is displayed on the sphere."] = "调整在球形主体显示的信息。";
["Nothing"] = "无";
["Food/Drink"] = "食物/水";
["Drink/Food"] = "水/食物";
["Current Health"] = "目前生命值";
["Health %"] = "生命百分比";
["Current Mana"] = "目前法力值";
["Mana %"] = "法力百分比";
["Mana Gem Cooldown"] = "法力宝石冷却时间";
["Evocation Cooldown"] = "唤醒冷却时间";

["Inner Sphere"] = "球体核心";
["Adjust what clicking the inner sphere does."] = "调整点击球体时执行的动作。";
["Eat and drink"] = "进食/喝水";
["Evocation"] = "唤醒";
["Polymorph"] = "变形术";
["Use Mana Gem"] = "使用法力宝石";
["Blink"] = "闪现术";

["Outer Sphere"] = "球体边缘";
["Adjust what information is displayed using the outer sphere."] = "调整在球形主体边缘显示的信息。";
["Health"] = "生命值";
["Mana"] = "法力值";

["Angle"] = "角度";
["Adjust the position of the buttons around the sphere."] = "调整按钮在球体周围的角度。";
["Scale"] = "缩放";
["Scale the size of the main sphere."] = "调整球形主体的大小比例。";
["Scale All Buttons"] = "所有按钮缩放";
["Scale the size of all of the buttons at once."] = "调整所有按钮的大小比例。";
["Food Button"] = "魔法面包按钮";
["Adjust various settings for the food button."] = "调整魔法面包按钮的各项设置。";
["Hide"] = "隐藏";
["Show or hide the button."] = "显示/隐藏 按钮。";
["Show Food Count"] = "显示魔法面包的数量";
["Show how much conjured food you have on the food button."] = "在食物按钮上显示背包里的魔法面包数量。";
["Scale the size of the food button."] = "调整魔法面包按钮的大小比例。";
["Move Clockwise"] = "顺时针方向移动";
["Move this button one position clockwise."] = "顺时针方向移动此按钮。";
["Water Button"] = "魔法水按钮";
["Adjust various settings for the water button."] = "调整魔法水按钮的各项设置。";
["Show Water Count"] = "显示魔法水的数量";
["Show how much conjured water you have on the water button."] = "在食物按钮上显示背包里的魔法水数量。";
["Scale the size of the water button."] = "调整魔法水按钮的大小比例。";
["Mana Gem Button"] = "法力宝石按钮";
["Adjust various settings for the mana gem button."] = "调整法力宝石按钮的各项设置。";
["Grow Left"] = "向左展开";
["Make the menu grow left instead right."] = "让菜单向左展开取代向右展开。";
["Show Cooldown"] = "显示冷却时间";
["Show the mana gem cooldown on the mana gem button."] = "在宝石按钮上显示法力宝石冷却时间。";
["Scale the size of the mana gem button."] = "调整宝石按钮的大小比例。";
["Menu X Offset"] = "菜单 X 轴移动";
["Menu Y Offset"] = "菜单 Y 轴移动";
["Adjust the left-to-right position of the menu."] = "调整由左至右的菜单位置。";
["Left Custom Button"] = "左自定义按钮";
["Adjust various settings for the left custom button."] = "调整左自定义按钮的各项设置。";
["Scale the size of the left custom button."] = "调整左自定义按钮的大小比例。";
["Button Type"] = "按钮类型";
["Choose whether this button casts a spell, uses a macro, or uses an item."] = "选择此按钮为施放法术、使用宏或者使用物品。";
["Spell"] = "法术";
["Macro"] = "宏";
["Item"] = "物品";
["Left Click Spell"] = "左键点击施放";
["Right Click Spell"] = "右键点击施放";
["Middle Click Spell"] = "中键点击施放";
["Type in the name of the spell that will be cast when left clicking this button."] = "输入法术名称，将会在点击这个按钮时施放。";
["Enter a spell, macro, or item name and PRESS ENTER.  Capitalization matters."] = "输入一个法术、宏、或物品名称后按回车键。";
["Evocation Button"] = "唤醒按钮";
["Adjust various settings for the evocation button."] = "调整唤醒按钮的各项设置。";
["Show evocation's cooldown on the evocation button."] = "在唤醒按钮上显示唤醒的冷却时间。";
["Scale the size of the evocation button."] = "调整唤醒按钮的大小比例。";
["Right Custom Button"] = "右自定义按钮";
["Adjust various settings for the right custom button."] = "调整右自定义按钮的各项设置。";
["Scale the size of the right custom button."] = "调整右自定义按钮的大小比例。";
["Buff Menu Button"] = "增益魔法按钮";
["Adjust various settings for the buff menu button."] = "调整增益魔法按钮的各项设置。";
["Light Feather Count"] = "轻羽毛的数量";
["Show how many light feathers you have on the slow fall button."] = "在缓落术按钮上显示背包里轻羽毛的数量。";
["Arcane Powder Count"] = "魔粉的数量";
["Show how much arcane powder you have on the arcane intellect button."] = "在奥术智慧按钮上显示背包里魔粉的数量。";
["Scale the size of the spell menu button."] = "调整法术菜单按钮的大小比例。";
["Mount Button"] = "坐骑按钮";
["Adjust various settings for the mount button."] = "调整坐骑按钮的各项设置。";
["Scale the size of the mount button."] = "调整坐骑按钮的大小比例。";
["Teleport/Portal Menu Button"] = "传送/传送门菜单按钮";
["Adjust various settings for the teleport/portal menu button."] = "调整传送/传送门菜单按钮的各项设置。";
["Scale the size of the teleport/portal button."] = "调整传送/传送门菜单按钮的大小比例。";
["Bottom Custom Button"] = "底部自定义按钮";
["Adjust various settings for the bottom custom button."] = "调整底部自定义按钮的各项设置。";
["Scale the size of the bottom custom button."] = "调整底部自定义按钮的大小比例。";

-- Reagent Restocking
["Yes"] = "确定";
["No"] = "取消";
["Okay"] = "确定";
["Restock all reagents?"] = "补充所有施法材料？";
["Cryolysis 2 has detected that you are not playing a mage.  The mod has not fully loaded, but is still taking up memory.  For the best game performance, you should disable Cryolysis 2 for this character on your addon selection screen.  This message will only appear once."] = "Cryolysis 2 已经检测到你登录的角色不是法师。这个插件不会完全加载，但是会占用内存。为了让你有更好的游戏效果，建议你在角色选择画面禁用此角色的 Cryolysis 2 插件加载。此信息只显示一次。";

-- Water
["Conjured Water"] = "魔法水";
["Conjured Fresh Water"] = "魔法淡水";
["Conjured Purified Water"] = "魔法纯净水";
["Conjured Spring Water"] = "魔法泉水";
["Conjured Mineral Water"] = "魔法矿泉水";
["Conjured Sparkling Water"] = "魔法苏打水";
["Conjured Crystal Water"] = "魔法晶水";
["Conjured Mountain Spring Water"] = "魔法山泉水";
["Conjured Glacier Water"] = "魔法冰川水";
["Conjured Manna Biscuit"] = "魔法饼干";

-- Food
["Conjured Muffin"] = "魔法松饼";
["Conjured Bread"] = "魔法面包";
["Conjured Rye"] = "魔法黑面包";
["Conjured Pumpernickel"] = "魔法粗面包";
["Conjured Sourdough"] = "魔法酵母";
["Conjured Sweet Roll"] = "魔法甜面包";
["Conjured Cinnamon Roll"] = "魔法肉桂面包";
["Conjured Croissant"] = "魔法羊角面包";

-- Gems
["Mana Agate"] = "法力玛瑙";
["Mana Jade"] = "法力翡翠";
["Mana Citrine"] = "法力黄水晶";
["Mana Ruby"] = "法力红宝石";
["Mana Emerald"] = "法力刚玉";

-- Items
["Hearthstone"] = "炉石";
["Light Feather"] = "轻羽毛";
["Arcane Powder"] = "魔粉";
["Rune of Teleportation"] = "传送符文";
["Rune of Portals"] = "传送门符文";

-- Conjure Spells
["Conjure Water"] = "造水术";
["Conjure Food"] = "造食术";

-- Frame titles, tooltips, and informative text
["Spell Timers"] = "施法时间";
["Conjured Food"] = "魔法食物";
["Left-click to use."] = "左键 使用。";
["Right-click to conjure."] = "右键 开始制造。";
["Middle-click to trade."] = "中键 进行交易。";
["Shift + right-click for Ritual of Refreshment."] = "Shift + 右键 施放餐点仪式";
["Middle-click for gem menu."] = "中键 开启宝石菜单";
["(Outside combat only)"] = "（仅离开战斗）";
["Click to hearth to "] = "左键 使用炉石传送到";
["Right-click to hearth to "] = "右键 使用炉石传送到";
["Middle-click to hearth to "] = "中键 使用炉石传送到";
["Right-click to use "] = "右键 使用";
["Left-click to cast "] = "左键 施放";
["Middle-click to cast "] = "中键 施放";
["Right-click to cast "] = "右键 施放";
["Click to cast "] = "点击 施放";
["No spells assigned to this button."] = "这个按钮没有指定法术。";
["You can assign a spell to this button using the Cryolysis 2 menu."] = "你可以在 Cryolysis 2 的菜单中指定你要使用的法术。";
["Teleport and Portal Menu"] = "传送/传送门菜单";
["Buff Menu"] = "增益菜单";
["Click to open the menu."] = "点击 开启菜单";
["Teleport Runes"] = "传送符文";
["Light Feathers"] = "轻羽毛";
["Portal Runes"] = "传送门符文";
["Left-click to teleport to "] = "左键传送：";
["Right-click to open a portal to "] = "右键开启传送门：";

-- City names
["Ironforge"] = "铁炉堡";
["Orgrimmar"] = "奥格瑞玛";
["Stormwind"] = "暴风城";
["Undercity"] = "幽暗城";
["Darnassus"] = "达纳苏斯";
["Thunder Bluff"] = "雷霆崖";
["Exodar"] = "埃索达";
["Silvermoon"] = "银月城";
["Shattrath"] = "沙塔斯";


["Armor"] = "护甲";
["Intellect"] = "智慧";
["Magic"] = "魔法";
["Damage Shields"] = "伤害盾";
["Magical Wards"] = "魔法结界";
["Mount"] = "坐骑";
["Mana Gem"] = "法力宝石";
["Water"] = "魔法水";
["Food"] = "魔法面包";

["Left-click to use "] = "左键 使用";
["Right-click to conjure "] = "右键 开始制造";
["Conjured"] = "制造";
["Not Conjured"] = "没有制造";
["Ready"] = "就绪";
["Unavailable"] = "不可用";

-- Error messages
["No food found for trading, conjure some then try again!"] = "没有食物可进行交易，请先制造后在重试一次！";
["No water found for trading, conjure some then try again!"] = "没有水可进行交易，请先制造后在重试一次！";
["Invalid name, please check your spelling and try again!"] = "错误名称，请检查你的法术再试一次";

--Ground Mounts
["Horn of the Frostwolf Howler"] = "霜狼嗥叫者的号角";
["Stormpike Battle Charger"] = "雷矛军用坐骑";
["Black Ram"] = "黑山羊";
["Black War Ram"] = "黑色战羊";
["Brown Ram"] = "棕山羊";
["Frost Ram"] = "霜山羊";
["Gray Ram"] = "灰山羊";
["Swift Brown Ram"] = "迅捷棕山羊";
["Swift Gray Ram"] = "迅捷灰山羊";
["Swift White Ram"] = "迅捷白山羊";
["White Ram"] = "白山羊";
["Brewfest Ram"] = "美酒节赛羊";
["Swift Brewfest Ram"] = "迅捷美酒节赛羊";
["Swift Razzashi Raptor"] = "拉札希迅猛龙";
["Swift Blue Raptor"] = "迅捷蓝色迅猛龙";
["Swift Olive Raptor"] = "迅捷绿色迅猛龙";
["Swift Orange Raptor"] = "迅捷橙色迅猛龙";
["Whistle of the Black War Raptor"] = "黑色军用迅猛龙哨";
["Whistle of the Emerald Raptor"] = "绿色迅猛龙之哨";
["Whistle of the Ivory Raptor"] = "象牙迅猛龙之哨";
["Whistle of the Mottled Red Raptor"] ="红色迅猛龙之哨" ;
["Whistle of the Turquoise Raptor"] = "青色迅猛龙之哨";
["Whistle of the Violet Raptor"] = "紫色迅猛龙之哨";
["Swift Zulian Tiger"] = "迅捷祖利安猛虎";
["Deathcharger's Reins"] = "死亡军马的缰绳";
["Blue Skeletal Horse"] = "蓝色骸骨军马";
["Blue Skeletal Warhorse"] = "蓝色骷髅战马";
["Brown Skeletal Horse"] = "棕色骸骨战马";
["Green Skeletal Warhorse"] = "绿色骸骨军马";
["Purple Skeletal Warhorse"] = "紫色骷髅战马";
["Red Skeletal Horse"] = "红色骸骨军马";
["Red Skeletal Warhorse"] = "红色军用骷髅战马";
["Black Battlestrider"] = "黑色军用机械陆行鸟";
["Blue Mechanostrider"] = "蓝色机械陆行鸟";
["Green Mechanostrider"] = "绿色机械陆行鸟";
["Icy Blue Mechanostrider Mod A"] = "冰蓝色机械陆行鸟A型";
["Red Mechanostrider"] = "红色机械陆行鸟";
["Swift Green Mechanostrider"] = "迅捷绿色机械陆行鸟";
["Swift White Mechanostrider"] = "迅捷白色机械陆行鸟";
["Swift Yellow Mechanostrider"] = "迅捷黄色机械陆行鸟";
["Unpainted Mechanostrider"] = "未涂色的机械陆行鸟";
["White Mechanostrider Mod A"] = "白色机械陆行鸟A型";
["Black Stallion Bridle"] = "黑马缰绳";
["Brown Horse Bridle"] = "棕马缰绳";
["Chestnut Mare Bridle"] = "栗色马缰绳";
["Palomino Bridle"] = "褐色马缰绳";
["Pinto Bridle"] = "杂色马缰绳";
["Swift Brown Steed"] = "迅捷棕马";
["Swift Palomino"] = "迅捷褐色马";
["Swift White Steed"] = "迅捷白马";
["White Stallion Bridle"] = "白马缰绳";
["Black War Kodo"] = "黑色军用科多兽";
["Brown Kodo"] = "棕色科多兽";
["Great Brown Kodo"] = "大型棕色科多兽";
["Black War Steed Bridle"] = "黑色军用战马缰绳";
["Gray Kodo"] = "灰色科多兽";
["Great Gray Kodo"] = "大型灰色科多兽";
["Great White Kodo"] = "大型白色科多兽";
["Green Kodo"] = "绿色科多兽";
["Teal Kodo"] = "蓝色科多兽";
["Horn of the Arctic Wolf"] = "北极狼号角";
["Horn of the Dire Wolf"] = "恐狼号角";
["Horn of the Swift Gray Wolf"] = "迅捷灰狼号角";
["Horn of the Swift Timber Wolf"] = "迅捷森林狼号角";
["Horn of the Black War Wolf"] = "黑色军用座狼号角";
["Horn of the Brown Wolf"] = "棕狼号角";
["Horn of the Red Wolf"] = "赤狼号角";
["Horn of the Swift Brown Wolf"] = "迅捷棕狼号角";
["Horn of the Timber Wolf"] = "森林狼号角";
["Reins of the Black War Tiger"] = "黑色军用座虎缰绳";
["Reins of the Striped Nightsaber"] = "条纹夜刃豹缰绳"; 
["Reins of the Frostsaber"] = "霜刃豹缰绳";
["Reins of the Nightsaber"] = "夜刃豹缰绳";
["Reins of the Spotted Frostsaber"] = "斑点霜刃豹缰绳";
["Reins of the Striped Frostsaber"] = "条纹霜刃豹缰绳";
["Reins of the Swift Frostsaber"] = "迅捷霜刃豹缰绳";
["Reins of the Swift Mistsaber"] = "迅捷雾刃豹缰绳";
["Reins of the Swift Stormsaber"] = "迅捷雷刃豹缰绳";
["Reins of the Winterspring Frostsaber"] = "冬泉霜刃豹缰绳";
["Black Qiraji Resonating Crystal"] = "黑色其拉共鸣水晶";
["Reins of the Dark War Talbuk"] = "暗色作战塔布羊缰绳";
["Reins of the Cobalt Riding Talbuk"] = "蓝色骑乘塔布羊缰绳";
["Reins of the Cobalt War Talbuk"] = "蓝色作战塔布羊缰绳";
["Reins of the Silver War Talbuk"] = "银色作战塔布羊缰绳";
["Reins of the Silver Riding Talbuk"] = "银色骑乘塔布羊缰绳";
["Reins of the Tan Riding Talbuk"] = "褐色骑乘塔布羊缰绳";
["Reins of the Tan War Talbuk"] = "褐色作战塔布羊缰绳";
["Reins of the White Riding Talbuk"] = "白色骑乘塔布羊缰绳";
["Reins of the White War Talbuk"] = "白色作战塔布羊缰绳";
["Brown Elekk"] = "棕色雷象";
["Gray Elekk"] = "灰色雷象";
["Purple Elekk"] = "紫色雷象";
["Great Blue Elekk"] = "重型蓝色雷象";
["Great Green Elekk"] = "重型绿色雷象";
["Great Purple Elekk"] = "重型紫色雷象";
["Black Hawkstrider"] = "黑色陆行鸟";
["Blue Hawkstrider"] = "蓝色陆行鸟";
["Purple Hawkstrider"] = "紫色陆行鸟";
["Red Hawkstrider"] = "红色陆行鸟";
["Swift Green Hawkstrider"] = "迅捷绿色陆行鸟";
["Swift Pink Hawkstrider"] = "迅捷粉红色陆行鸟";
["Swift Purple Hawkstrider"] = "迅捷紫色陆行鸟";
["Fiery Warhorse's Reins"] = "炽热战马的缰绳";
["Reins of the Raven Lord"] = "乌鸦之神的缰绳";
["Magic Broom"] = "魔法扫帚";
["Swift Magic Broom"] = "迅捷魔法扫帚";
["Amani War Bear"] = "阿曼尼战熊";
["Swift Warstrider"] = "迅捷作战陆行鸟";

--Flying Mounts
["Ebon Gryphon"] = "乌黑狮鹫";
["Golden Gryphon"] = "金色狮鹫";
["Snowy Gryphon"] = "雪色狮鹫";
["Swift Green Gryphon"] = "迅捷绿色狮鹫";
["Swift Red Gryphon"] = "迅捷红色狮鹫";
["Swift Purple Gryphon"] = "迅捷紫色狮鹫";
["Swift Blue Gryphon"] = "迅捷蓝色狮鹫";
["Blue Windrider"] = "蓝色驭风者";
["Green Windrider"] = "绿色驭风者";
["Tawny Windrider"] = "茶色驭风者";
["Swift Green Windrider"] = "迅捷绿色驭风者";
["Swift Purple Windrider"] = "迅捷紫色驭风者";
["Swift Red Windrider"] = "迅捷红色驭风者";
["Swift Yellow Windrider"] = "迅捷黄色驭风者";
["Reins of the Azure Netherwing Drake"] = "青色灵翼幼龙的缰绳";
["Reins of the Cobalt Netherwing Drake"] = "蓝色灵翼幼龙的缰绳";
["Reins of the Onyx Netherwing Drake"] = "黑色灵翼幼龙的缰绳";
["Reins of the Purple Netherwing Drake"] = "紫色灵翼幼龙的缰绳";
["Reins of the Veridian Netherwing Drake"] = "绿色灵翼幼龙的缰绳";
["Reins of the Violet Netherwing Drake"] = "红色灵翼幼龙的缰绳";
["Swift Nether Drake"] = "迅捷虚空幼龙";
["Blue Riding Nether Ray"] = "蓝色骑乘虚空鳐";
["Green Riding Nether Ray"] = "绿色骑乘虚空鳐";
["Purple Riding Nether Ray"] = "紫色骑乘虚空鳐";
["Red Riding Nether Ray"] = "红色骑乘虚空鳐";
["Silver Riding Nether Ray"] = "银色骑乘虚空鳐";
["Flying Broom"] = "飞行扫帚";
["Swift Flying Broom"] = "迅捷飞行扫帚";
["Flying Machine Control"] = "飞行器控制台";
["Turbo-Charged Flying Machine Control"] = "涡轮加速飞行器控制台";
["Cenarion War Hippogryph"] = "塞纳里奥作战角鹰兽";
["Ashes of Al'ar"] = "奥的灰烬";

} end)